Subject: Re: bug#40599: 1.1.0rc2 i686 gui install unreadable

From: Ludovic Courtès <[email-masked]>
Date: Mon, 13 Apr 2020 22:36:19 +0200

Hi Niels,

Niels Felsted <[email-masked]> skribis:

> I have have installed guix on a old laptop from. I dd'ed the iso file:
>
> guix-system-install-1.1.0rc2.i686-linux.iso
>
> on a usb stick, and booted from it.
>
> It boots directly into a ncurses gui, but the screen is distorted and
> it is not possible to read anything. I have attached an image showing
> the issue.

Ouch, indeed.

> I finished the install using the terminal on tty3.

And tty3 displays fine, right?

> I have tested the current 1.0.1 iso also, and the ncurses gui looks
> fine there (though the actual install fails compiling some amdgpu
> package).

OK.

> The laptop is a Acer aspire 3680, with Intel Celeron cpu, 1.5gb ram
> and the following graphics card:
>
> ~$ lspci | grep -e "VGA"
> 00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

I see.  Could you boot the 1.1.0rc2 again and send us the
/var/log/messages file?  (You can either do “herd start ssh-daemon” in
the image or run scp right from there, once networking is up, which
means you have to go to the networking dialog of the installer.)

Florian, could it be uvesafb messing with the graphics card?

Thanks a lot for testing and reporting back!

Ludo’.